use nix::unistd::{getgid, gethostname, getpid, getuid};

fn main() {
    let hostname = gethostname().unwrap();
    println!("Hostname: {}", hostname.to_string_lossy());

    let pid = getpid();
    println!("Pid: {}", pid);

    let uid = getuid();
    println!("Uid: {}", uid);
    let gid = getgid();
    println!("Gid: {}", gid);
}
